Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter.expression
Interface Function

All Superinterfaces:
  Expression

    @XmlElement(value="Function")
    public interface Function

extends Expression

Instances of this class represent a function call into some implementation-specific function. This is included for completeness with respect to the OGC Filter specification. However, no functions are required to be supported by that specification.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Expression
`NIL`

Method Summary
`String` | `getName()` Returns the name of the function to be called.
`List<Expression>` | `getParameters()` Returns the list subexpressions that will be evaluated to provide the parameters to the function.

Methods inherited from interface Expression
`accept, evaluate, evaluate`

Method Detail

### getName

    String getName()

  Returns the name of the function to be called. For example, this might be "`cos`" or "`atan2`".

### getParameters

    List<Expression> getParameters()

  Returns the list subexpressions that will be evaluated to provide the parameters to the function.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.